# taggo

local file tagging utility tool

## Install

WIP

## Usage

```bash
# initializes database in the current folder
$ taggo init

# lists all the registered tags and how many files are tagged with it
$ taggo tags

# registers all the given tags (separated by space)
$ taggo tags add <tags>

# deletes all the tags given (separated by space) and unlinks all the files tags with them
$ taggo tags remove <tags>

# renames the old tag with the new one, 
# this can be a list of tags given that they match the order (old new)
# example: $ taggo tags rename test test2 old new past future
$ taggo tags rename [<old> <new>]

# tags a single given file with a list of tags (separated by space)
$ taggo tag <file> <tags>

# tags all the given files (separated by space) with all the given tags (separated by space)
$ taggo tag -f <files> -t <tags>

# removes the tags for a single file
$ taggo untag <file> <tags>

# lists all the tagged files
$ taggo files

# lists both tagged and untagged files
$ taggo files --all

# lists all the files tagged with the given tag
$ taggo files <tag>
```
